Subject: Debugging cygwin.dll with gdb
From: [email-masked] (Geoffrey Noer)

8 Jun 1997 00:31:30 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Chris Faylor" at Jun 5, 97 03:44:42 pm
X-Mailer: ELM [version 2.4 PL23]
Content-Type: text
Original-Sender: [email-masked]

Chris Faylor wrote:
[...]
> I am at a loss, however, as to how to debug this.  I've built a cygwin.dll
> from scratch with Sergey's patches, but then, how do I debug it?  Attempting
> to invoke gdb remotely hangs due to the problem I mentioned above.
[...]

A future change that needs to be made is to always build cygwin.dll
and libcygwin.a as well as (new) cygwindebug.dll and libcygwindebug.a.
Everything other than gdb would get linked against cygwin.dll whereas
gdb would be linked against cygwindebug.dll.

So if you need to debug a non-functional cygwin.dll, you could use any
previously working gdb since it would depend on a working cygwin.dll.
Alternatively, we could somehow statically link the code inside the
cygwin.dll inside gdb.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".